com.tibbo.aggregate.common.dao

## Interface DatabaseClusterManager

-     public interface DatabaseClusterManager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataTable` | `getClusterDatabases(java.lang.String databaseUsername, java.lang.String databasePassword)`
    `DataTable` | `getStatus()`
    `boolean` | `initializeCluster(java.lang.String databaseUsername, java.lang.String databasePassword, boolean testConnection)`
    `void` | `setClusterDatabases(DataTable value, java.lang.String username, java.lang.String password, CallerController caller, boolean activate)`
    `void` | `testDatabaseClusterConnection(java.lang.String databaseUsername, java.lang.String databasePassword)`

- - ### Method Detail

    - #### initializeCluster

          boolean initializeCluster(java.lang.String databaseUsername,
                                    java.lang.String databasePassword,
                                    boolean testConnection)
                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getStatus

          DataTable getStatus()
                       throws ContextException

      Throws:
        `ContextException`

    - #### testDatabaseClusterConnection

          void testDatabaseClusterConnection(java.lang.String databaseUsername,
                                             java.lang.String databasePassword)
                                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getClusterDatabases

          DataTable getClusterDatabases(java.lang.String databaseUsername,
                                        java.lang.String databasePassword)
                                 throws ContextException

      Throws:
        `ContextException`

    - #### setClusterDatabases

          void setClusterDatabases(DataTable value,
                                   java.lang.String username,
                                   java.lang.String password,
                                   CallerController caller,
                                   boolean activate)
                            throws ContextException

      Throws:
        `ContextException`